## Apache Zeta Components Manual :: Docs For Class ezcWorkflowSignalSlotPluginOptions

### WorkflowSignalSlotTiein::ezcWorkflowSignalSlotPluginOptions

### Class ezcWorkflowSignalSlotPluginOptions

Options class for ezcWorkflowVisitorVisualization.

Source for this file: /WorkflowSignalSlotTiein/src/options/plugin.php

    ezcBaseOptions
       |
       --ezcWorkflowSignalSlotPluginOptions

Version: | //autogen//

### Properties

string | read/write | `$afterExecutionCancelled` The signal that is emitted for the afterExecutionCancelled plugin hook.
string | read/write | `$afterExecutionEnded` The signal that is emitted for the afterExecutionEnded plugin hook.
string | read/write | `$afterExecutionResumed` The signal that is emitted for the afterExecutionResumed plugin hook.
string | read/write | `$afterExecutionStarted` The signal that is emitted for the afterExecutionStarted plugin hook.
string | read/write | `$afterExecutionSuspended` The signal that is emitted for the afterExecutionSuspended plugin hook.
string | read/write | `$afterNodeActivated` The signal that is emitted for the afterNodeActivated plugin hook.
string | read/write | `$afterNodeExecuted` The signal that is emitted for the afterNodeExecuted plugin hook.
string | read/write | `$afterRolledBackServiceObject` The signal that is emitted for the afterRolledBackServiceObject plugin hook.
string | read/write | `$afterThreadEnded` The signal that is emitted for the afterThreadEnded plugin hook.
string | read/write | `$afterThreadStarted` The signal that is emitted for the afterThreadStarted plugin hook.
string | read/write | `$afterVariableSet` The signal that is emitted for the afterVariableSet plugin hook.
string | read/write | `$afterVariableUnset` The signal that is emitted for the afterVariableUnset plugin hook.
string | read/write | `$beforeNodeActivated` The signal that is emitted for the beforeNodeActivated plugin hook.
string | read/write | `$beforeVariableSet` The signal that is emitted for the beforeVariableSet plugin hook.
string | read/write | `$beforeVariableUnset` The signal that is emitted for the beforeVariableUnset plugin hook.

### Member Variables

protected array(string=>mixed)

`$properties = array(
'afterExecutionStarted' => 'afterExecutionStarted',
'afterExecutionSuspended' => 'afterExecutionSuspended',
'afterExecutionResumed' => 'afterExecutionResumed',
'afterExecutionCancelled' => 'afterExecutionCancelled',
'afterExecutionEnded' => 'afterExecutionEnded',
'beforeNodeActivated' => 'beforeNodeActivated',
'afterNodeActivated' => 'afterNodeActivated',
'afterNodeExecuted' => 'afterNodeExecuted',
'afterRolledBackServiceObject' => 'afterRolledBackServiceObject',
'afterThreadStarted' => 'afterThreadStarted',
'afterThreadEnded' => 'afterThreadEnded',
'beforeVariableSet' => 'beforeVariableSet',
'afterVariableSet' => 'afterVariableSet',
'beforeVariableUnset' => 'beforeVariableUnset',
'afterVariableUnset' => 'afterVariableUnset',
)`
Properties.

### Inherited Methods

From ezcBaseOptions
public ezcBaseOptions | `ezcBaseOptions::__construct()` Construct a new options object.
public void | `ezcBaseOptions::merge()` Merge an array into the actual options object.
public bool | `ezcBaseOptions::offsetExists()` Returns if an option exists.
public mixed | `ezcBaseOptions::offsetGet()` Returns an option value.
public void | `ezcBaseOptions::offsetSet()` Set an option.
public void | `ezcBaseOptions::offsetUnset()` Unset an option.

Documentation generated by phpDocumentor 1.4.3